--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sets current locale to the all textdomains.
- !ruby/struct:SM::Flow::P 
  body: Note that you shouldn't use this for your own Libraries.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "locale: a locale string or Locale::Object, otherwise nil to use default locale."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Returns: self"
  type: :BULLET
full_name: GetText#set_locale_all
is_singleton: false
name: set_locale_all
params: (locale)
visibility: public
